<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 4) {
    $pagetitle = "4oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

       <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="4oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
    <?php
    require_once ('../../mysqli_connect.php');
    echo '<h1>Επεξεργαστείτε το όχημα!</h1>';
    if ((isset($_GET['pin']))) {
        $pin = $_GET['pin'];
    } elseif ((isset($_POST['pin']))) {
        $pin = $_POST['pin'];
    } else {
        echo '<p class="error">Αυτή η σελίδα προσεγγίστηκε με λάθος τρόπο!</p>';
        include('../../divs/footer.php');
        exit();
    }

    if (isset($_POST['submitted'])) {
        $errors = array();

        if (empty($_POST['pin'])) {
            $errors[] = "Ξέχασες εισάγεις τον αριθμό πινακίδας του οχήματος!";
        } else {
            $pin = mysqli_real_escape_string($dbc, trim($_POST['pin']));
        }

        if (empty($_POST['eidos'])) {
            $errors[] = "Ξέχασες εισάγεις το είδος του οχήματος!";
        } else {
            $eidos = mysqli_real_escape_string($dbc, trim($_POST['eidos']));
        }
        if (empty($_POST['lox'])) {
            $errors[] = "Ξέχασες εισάγεις σε ποιο λόχο ανήκει το όχημα!";
        } else {
            $lox = mysqli_real_escape_string($dbc, trim($_POST['lox']));
        }
        if (empty($_POST['onod'])) {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του οδηγού του οχήματος!";
        } else {
            $onod = mysqli_real_escape_string($dbc, trim($_POST['onod']));
        }
       

        if (empty($errors)) {
            $q = "select pinakid from oxhmata where pinakid='$pin'";

            $r = @mysqli_query($dbc, $q);

            if (mysqli_num_rows($r) == 1) {
                $q12 = "update oxhmata set eidos='$eidos',lohos='$lox',onod='$onod' where pinakid='$pin' limit 1";
                $r12 = @mysqli_query($dbc, $q12);
                if (mysqli_affected_rows($dbc) == 1) {
                    echo '<p>Τα στοιχεία του οχήματος τροποποιήθηκαν!</p>
                    <p><a href="oximata.php">Επιστροφή στον κατάλογο οχημάτων της Μονάδας!</a></p>';
                } else {
                    echo '<p> Δεν έγινε κάποια αλλαγή στα στοιχεία του οχήματος!</p>
                    <p><a href="oximata.php">Επιστροφή στον κατάλογο οχημάτων της Μονάδας!</a></p>';
                }
            } else {
                echo '<p class="error">Το όχημα έχει ήδη καταγραφεί!</p>';
            }
        } else {
            echo '<p class="errors">The following error(s) occured:<br/>';
            foreach ($errors as $msg) {
                echo "-$msg<br/>\n";
            }echo 'Παρακαλώ προσπαθήστε ξανά!';
        }
        
    }
    $q = "select * from oxhmata where pinakid='$pin'";
    $r = @mysqli_query($dbc, $q);
    if (mysqli_num_rows($r) == 1) {
        $row = mysqli_fetch_array($r, MYSQLI_BOTH);
        echo '<form action="oximatae.php" method="post">
                <p>Αριθμός Πινακίδας:<input type="text" name="pin" size="10" maxlength="10" value="' . $row[0] . '"/></p>
                <p> Είδος Οχήματος:<input type="text" name="eidos" size="15" maxlength="30" value="' . $row[1] . '"/></p>
                <p>Λόχος:<input type="text" name="lox" size="5" maxlength="5" value="' . $row[2] . '"/></p>
                <p> Ονοματεπώνυμο Οδηγού:<select name="onod">';
                    echo ' <option>' . $row[3] . '</option>';

                         $g = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b = mysqli_query($dbc, $g);
                 while ($row8 = mysqli_fetch_array($b, MYSQLI_BOTH)) {
                             echo"<option>" . $row8[0] . "</option>";
                             }
                             echo'</select>';
        echo'
                <p><input type="submit" name="submit" value"Υποβολή" /></p>
                <input type ="hidden" name="submitted" value="true"/>
           
              </form>';
    } else {
        echo'<p class="error>Αυτή η σελίδα προσεγγίστηκε με λάθος τρόπο!</p>';
    }
    mysqli_close($dbc);
    ?>  


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>